#3696 Mayor Chalmers...spam problem?

closed-fixed
nobody
None
5
2008-03-04
2008-02-27
No

HI! I talked to mayor Chalmers a few minutes ago and he spamms me with:
[17:12] <Mayor Chalmers> On behalf of the citizens of Ados, welcome.
[17:12] <Bluelads4> tasl
[17:12] <Bluelads4> task
[17:12] <Mayor Chalmers> I can only give you a new quest once a day. Please check back in about 58 and a half minutes.
[17:12] <Mayor Chalmers> I can only give you a new quest once a day. Please check back in about 58 and a half minutes.
[17:12] <Mayor Chalmers> I can only give you a new quest once a day. Please check back in about 58 and a half minutes.
[17:12] <Mayor Chalmers> I can only give you a new quest once a day. Please check back in just over 58 minutes.
[17:12] <Mayor Chalmers> I can only give you a new quest once a day. Please check back in just over 58 minutes.
[17:12] <Mayor Chalmers> I can only give you a new quest once a day. Please check back in just over 58 minutes.
[17:12] <Mayor Chalmers> I can only give you a new quest once a day. Please check back in just over 58 minutes.
[17:12] <Mayor Chalmers> I can only give you a new quest once a day. Please check back in just over 58 minutes.
[17:12] <Mayor Chalmers> I can only give you a new quest once a day. Please check back in just over 58 minutes.
[17:12] <Mayor Chalmers> I can only give you a new quest once a day. Please check back in just over 58 minutes.
[17:12] <Mayor Chalmers> I can only give you a new quest once a day. Please check back in just over 58 minutes.
[17:12] <Mayor Chalmers> I can only give you a new quest once a day. Please check back in just over 58 minutes.
[17:12] chronic asks for support to ADMIN: something is wrong with xin blanca
Please use /supportanswer chronic to answer.
[17:12] <Mayor Chalmers> I can only give you a new quest once a day. Please check back in just over 58 minutes.
[17:12] <Mayor Chalmers> I can only give you a new quest once a day. Please check back in just over 58 minutes.
[17:12] <Mayor Chalmers> I can only give you a new quest once a day. Please check back in just over 58 minutes.
[17:12] <Mayor Chalmers> I can only give you a new quest once a day. Please check back in just over 58 minutes.
[17:12] <Mayor Chalmers> I can only give you a new quest once a day. Please check back in just over 58 minutes.
[17:12] <Mayor Chalmers> I can only give you a new quest once a day. Please check back in just over 58 minutes.
[17:12] <Mayor Chalmers> I can only give you a new quest once a day. Please check back in just over 58 minutes.
[17:12] <Mayor Chalmers> I can only give you a new quest once a day. Please check back in just over 58 minutes.
[17:12] <Mayor Chalmers> I can only give you a new quest once a day. Please check back in just over 58 minutes.
[17:12] <Bluelads4> bye
[17:12] <Mayor Chalmers> I can only give you a new quest once a day. Please check back in just over 58 minutes.

Then I said bye but nothing happened, he stopped walking and stood there for about 3 minutes... The problem was away when "Voice" came to take a look at the problem, as normal in such situations ;) But I don't know if it will return...

Discussion

  • Katie Russell

    Katie Russell - 2008-02-27

    Logged In: YES
    user_id=1560922
    Originator: NO

    there's about a billion of these in logs: contact me for todays logs in full. or indeed any other day, just let me know.

    2008-02-27 17:18:10 ERROR [verManager] SentenceImplementation ( 109) - SentenceImplementation.classifyWords(): unexpected condition for original='they': en
    try.getPlurSing() is null
    2008-02-27 17:18:10 ERROR [verManager] ConversationParser ( 138) - ConversationParser.parse(): catched Exception while parsing 'they vary by up to 10%'
    null
    2008-02-27 17:18:10 ERROR [verManager] StendhalRPRuleProcessor ( 282) - error in beginTurn
    java.lang.NullPointerException
    at games.stendhal.server.entity.npc.parser.Expression.matchesNormalizedBeginning(Expression.java:401)
    at games.stendhal.server.entity.npc.fsm.Transition.matchesBeginning(Transition.java:171)
    at games.stendhal.server.entity.npc.fsm.Engine.matchesTransition(Engine.java:370)
    at games.stendhal.server.entity.npc.fsm.Engine.matchTransition(Engine.java:302)
    at games.stendhal.server.entity.npc.fsm.Engine.step(Engine.java:224)
    at games.stendhal.server.entity.npc.fsm.Engine.step(Engine.java:202)
    at games.stendhal.server.entity.npc.SpeakerNPC.tell(SpeakerNPC.java:539)
    at games.stendhal.server.entity.npc.SpeakerNPC.preLogic(SpeakerNPC.java:331)
    at games.stendhal.server.core.engine.StendhalRPRuleProcessor.executeNPCsPreLogic(StendhalRPRuleProcessor.java:310)
    at games.stendhal.server.core.engine.StendhalRPRuleProcessor.beginTurn(StendhalRPRuleProcessor.java:277)
    at marauroa.server.game.rp.RPServerManager.run(RPServerManager.java:522)
    2008-02-27 17:18:10 ERROR [verManager] SentenceImplementation ( 109) - SentenceImplementation.classifyWords(): unexpected condition for original='they': en
    try.getPlurSing() is null
    2008-02-27 17:18:10 ERROR [verManager] ConversationParser ( 138) - ConversationParser.parse(): catched Exception while parsing 'they vary by up to 10%'
    null
    2008-02-27 17:18:10 ERROR [verManager] StendhalRPRuleProcessor ( 282) - error in beginTurn
    java.lang.NullPointerException
    at games.stendhal.server.entity.npc.parser.Expression.matchesNormalizedBeginning(Expression.java:401)
    at games.stendhal.server.entity.npc.fsm.Transition.matchesBeginning(Transition.java:171)
    at games.stendhal.server.entity.npc.fsm.Engine.matchesTransition(Engine.java:370)
    at games.stendhal.server.entity.npc.fsm.Engine.matchTransition(Engine.java:302)
    at games.stendhal.server.entity.npc.fsm.Engine.step(Engine.java:224)
    at games.stendhal.server.entity.npc.fsm.Engine.step(Engine.java:202)
    at games.stendhal.server.entity.npc.SpeakerNPC.tell(SpeakerNPC.java:539)
    at games.stendhal.server.entity.npc.SpeakerNPC.preLogic(SpeakerNPC.java:331)
    at games.stendhal.server.core.engine.StendhalRPRuleProcessor.executeNPCsPreLogic(StendhalRPRuleProcessor.java:310)
    at games.stendhal.server.core.engine.StendhalRPRuleProcessor.beginTurn(StendhalRPRuleProcessor.java:277)
    at marauroa.server.game.rp.RPServerManager.run(RPServerManager.java:522)
    2008-02-27 17:18:10 WARN [verManager] RPServerManager ( 196) - Turn duration overflow by 19 ms: 0 0 14 56 56 223 238 238 319 319 320
    2008-02-27 17:18:11 WARN [verManager] MarauroaRPZone ( 196) - Modifying a non existing object: Player [Banhammer, 132525941]

     
  • Katie Russell

    Katie Russell - 2008-02-27

    Logged In: YES
    user_id=1560922
    Originator: NO

    this is weird. the person who said that sentence was in ados wall n nowhere near semos. - stood by the dm recruiter. afaik he wasn't listening to susie (as she hadn't said hi)

    [16:10] <manii> wow faster

    [16:10] susie heals 5 health points.

    [16:10] susie heals 5 health points.

    [16:10] <susie> weaker balrog maybe?

    [16:11] <susie> they vary by up to 10%
    healing blah

    [16:11] <manii> yes

    did susie confuse all npcs at once?

     
  • Martin Fuchs

    Martin Fuchs - 2008-03-01

    Logged In: YES
    user_id=1534223
    Originator: NO

    The Nullpointer exception in Expression.matchesNormalizedBeginning(Expression.java:401) is fixed in CVS since 27.02.2008. However I'm not really sure if this caused the described spam problem. Can we wait and see if it is fixed?

     
  • Martin Fuchs

    Martin Fuchs - 2008-03-04

    Logged In: YES
    user_id=1534223
    Originator: NO

    The problem seems now to be fixed.

     
  • Martin Fuchs

    Martin Fuchs - 2008-03-04
    • status: open --> closed-fixed
     


Anonymous

Cancel  Add attachments





Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks